## org.apache.hadoop.fs
Class CommonConfigurationKeys

    java.lang.Object
      org.apache.hadoop.fs.CommonConfigurationKeys

    public class CommonConfigurationKeys

extends Object

This class contains constants for configuration keys used in the common code.

Field Summary
`static String` `FS_DEFAULT_NAME_DEFAULT`
`static String` `FS_DEFAULT_NAME_KEY` See src/core/core-default.xml
`static String` `HADOOP_SECURITY_AUTHENTICATION` See src/core/core-default.xml
`static String` `HADOOP_SECURITY_AUTHORIZATION` See src/core/core-default.xml
`static String` `HADOOP_SECURITY_GROUP_MAPPING` See src/core/core-default.xml
`static String` `HADOOP_SECURITY_SERVICE_USER_NAME_KEY` See src/core/core-default.xml
`static String` `HADOOP_SECURITY_TOKEN_SERVICE_USE_IP` See src/core/core-default.xml
`static boolean` `HADOOP_SECURITY_TOKEN_SERVICE_USE_IP_DEFAULT`
`static int` `IPC_SERVER_RPC_READ_THREADS_DEFAULT`
`static String` `IPC_SERVER_RPC_READ_THREADS_KEY`

Constructor Summary
`CommonConfigurationKeys()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FS_DEFAULT_NAME_KEY

    public static final String FS_DEFAULT_NAME_KEY

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### FS_DEFAULT_NAME_DEFAULT

    public static final String FS_DEFAULT_NAME_DEFAULT

See Also:
  Constant Field Values

### HADOOP_SECURITY_GROUP_MAPPING

    public static final String HADOOP_SECURITY_GROUP_MAPPING

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_AUTHENTICATION

    public static final String HADOOP_SECURITY_AUTHENTICATION

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_AUTHORIZATION

    public static final String HADOOP_SECURITY_AUTHORIZATION

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_SERVICE_USER_NAME_KEY

    public static final String HADOOP_SECURITY_SERVICE_USER_NAME_KEY

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_TOKEN_SERVICE_USE_IP

    public static final String HADOOP_SECURITY_TOKEN_SERVICE_USE_IP

  See src/core/core-default.xml

  See Also:
    Constant Field Values

### HADOOP_SECURITY_TOKEN_SERVICE_USE_IP_DEFAULT

    public static final boolean HADOOP_SECURITY_TOKEN_SERVICE_USE_IP_DEFAULT

See Also:
  Constant Field Values

### IPC_SERVER_RPC_READ_THREADS_KEY

    public static final String IPC_SERVER_RPC_READ_THREADS_KEY

See Also:
  Constant Field Values

### IPC_SERVER_RPC_READ_THREADS_DEFAULT

    public static final int IPC_SERVER_RPC_READ_THREADS_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### CommonConfigurationKeys

    public CommonConfigurationKeys()

Copyright © 2009 The Apache Software Foundation